package com.qmth.distributed.print.business.bean.dto;

import com.qmth.distributed.print.business.enums.PageSizeEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: pdf dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/4/13
 */
public class PdfDto {

    @ApiModelProperty(name = "路径")
    String path;

    @ApiModelProperty(name = "页数")
    Integer pageCount = 0;

    @ApiModelProperty(name = "页面大小")
    PageSizeEnum pageSize;

    public PdfDto() {

    }

    public PdfDto(String path, PageSizeEnum pageSize) {
        this.path = path;
        this.pageSize = pageSize;
    }

    public PdfDto(String path, PageSizeEnum pageSize, Integer pageCount) {
        this.path = path;
        this.pageSize = pageSize;
        this.pageCount = pageCount;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public Integer getPageCount() {
        return pageCount;
    }

    public void setPageCount(Integer pageCount) {
        this.pageCount = pageCount;
    }

    public PageSizeEnum getPageSize() {
        return pageSize;
    }

    public void setPageSize(PageSizeEnum pageSize) {
        this.pageSize = pageSize;
    }
}
